snappedtwosphere.h File Reference

Deals with 2-spheres made from two snapped 3-balls in a triangulation. More...

`#include "regina-core.h"`
`#include "output.h"`
`#include "subcomplex/snappedball.h"`
`#include <boost/noncopyable.hpp>`

## Classes

class | regina::SnappedTwoSphere
| Represents a 2-sphere made from two snapped 3-balls in a triangulation. More...

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Typedefs

typedef SnappedTwoSphere | regina::NSnappedTwoSphere
| Deprecated typedef for backward compatibility. More...

## Detailed Description

Deals with 2-spheres made from two snapped 3-balls in a triangulation.

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).